Bug 200776 - LOGLEVEL constants mixed up in rgmanager.
LOGLEVEL constants mixed up in rgmanager.
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 12:00 EDT by Robert Peterson
Modified: 2009-04-16 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 16:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2006-07-31 12:00:41 EDT
Description of problem:
The rgmanager program has conflicting constants regarding log_level.
In clulog.h there's a constant LOGLEVEL_DFLT (LOG_INFO) and in 
clulog.c there's a constant DFLT_LOGLEVEL (LOG_NOTICE).
The correct log level should be 5 (LOG_NOTICE) so the constant in
clulog.h should be changed to LOG_NOTICE and clulog.c should be
coded to use the constant from the .h rather than re-define another.
Comment 1 Lon Hohberger 2006-08-18 16:27:29 EDT
Fixed in CVS.  Behavior in RHEL4 and STABLE branches will remain at LOG_INFO;
for head branch, it has switched to LOG_NOTICE so as to not alter behavior on
existing (stable) releases.
Comment 2 Nate Straz 2007-12-13 12:18:55 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.